Summary:        AES-based encryption tool for tar/cpio and loop-aes images
Name:           aespipe
Version:        2.4c
Release:        1%{?dist}
License:        GPLv2+
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Group:          Applications/System
URL:            http://loop-aes.sourceforge.net/
Source:         http://loop-aes.sourceforge.net/aespipe/aespipe-v%{version}.tar.bz2
BuildRequires:  gpg
Requires:       gpg

%description
aespipe is an encryption tool that reads from standard input and
writes to standard output. It uses the AES (Rijndael) cipher.

It can be used as an encryption filter, to create and restore
encrypted tar/cpio backup archives and to read/write and convert
loop-AES compatible encrypted images.

aespipe can be used for non-destructive in-place encryption of
existing disk partitions for use with the loop-AES encrypted loop-back
kernel module.

%prep
%setup -q -n %{name}-v%{version}

%build
%configure

%global make_target %{nil}
%ifarch x86_64
%global make_target amd64
%endif
%ifarch %{ix86}
%global make_target x86
%endif
%{__make} %{?_smp_mflags} %{make_target}

%check
%{__make} tests

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_defaultdocdir}/%{name}-%{version}/examples
%{__cp} -p ChangeLog README %{buildroot}%{_defaultdocdir}/%{name}-%{version}
%{__install} -Dp -m0644 bz2aespipe %{buildroot}%{_defaultdocdir}/%{name}-%{version}/examples
%{__install} -Dp -m0644 aespipe.1 %{buildroot}%{_mandir}/man1/aespipe.1
%{__install} -Dp -m0755 aespipe %{buildroot}%{_bindir}/aespipe

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{_defaultdocdir}/%{name}-%{version}
%{_defaultdocdir}/%{name}-%{version}/*
%{_mandir}/man1/*
%{_bindir}/aespipe

%changelog
* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4c-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jul  3 2011 Jirka Hladky <jhladky@redhat.com> - 2.4c
  - Update to version 2.4c
* Sat Aug 28 2010 Jirka Hladky <jhladky@redhat.com> - 2.4b-3
  - Replaced global with define, see https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define
* Wed Aug 25 2010 Jirka Hladky <jhladky@redhat.com> - 2.4b-2
  - version 2.4b
  - cleaned up SPEC file
  - using MACROS everywhere
  - moved bz2aespipe into examples
* Fri Jan 22 2010 Dean Mander <knolderpoor@gmail.com> - 2.3e-4
  - added Requires:gpg
* Wed Dec 10 2008 Dean Mander <knolderpoor@gmail.com> - 2.3e-3
  - add make_target (to build on ppc)
  - add BuildRequires:gpg
  - add make tests
* Mon Nov 17 2008 Dean Mander <knolderpoor@gmail.com> - 2.3e-2
  - remove unneeded aclocal and autoconfig commands
  - corrected license to GPLv2+

* Tue Nov 11 2008 Dean Mander <knolderpoor@gmail.com> - 2.3e-1
  - bump to version 2.3e
  - set licence to GPL+ 
  - align to fedora standards

* Mon Nov 03 2008 Dag Wieers <dag@wieers.com> - 2.3d-1 - +/
- Initial package. (using DAR)
